import QtQuick 1.1

import qb.base 1.0
import qb.components 1.0
import BasicUIControls 1.0;

Item {
	id: thermostatModeSet

	width: 165; height: 228;
	property alias label: label.text
	property alias color: modeColor.color
	property alias temperature: modeValue.value
	property int textColorGap: 16
	property string kpiPrefix: "TemperaturePresetScreen." + label.text + "."

	Text {
		id: label

		anchors {
			baseline: parent.top
			baselineOffset: 104
			left: parent.left
		}

		font.family: qfont.semiBold.name
		font.pixelSize: 20

		color: colors.tpModeLabel
	}

	StyledRectangle {
		id: modeColor

		width: parent.width; height: 16
		radius: 4
		anchors.top: label.baseline
		anchors.topMargin: textColorGap

		bottomLeftRadiusRatio: 0
		bottomRightRadiusRatio: 0
	}

	NumberSpinner {
		id: modeValue

		width: parent.width; height: 88

		spacing: 4
		radius: 4
		buttonWidth: 53

		anchors.top: modeColor.bottom
		anchors.topMargin: 4

		topLeftRadiusRatio: 0
		topRightRadiusRatio: 0

		fontFamily: qfont.regular.name
		fontPixelSize: 36
		fontColor: colors.tpModeValue
		textBaseline: 54

		backgroundColor:            colors.tpBackgroundValue
		backgroundColorButtonsUp:   colors.tpBackgroundButtonsUp
		backgroundColorButtonsDown: colors.tpBackgroundButtonsDown
		overlayColorButtonsUp:      colors.tpOverlayButtonsUp
		overlayColorButtonsDown:    colors.tpOverlayButtonsDown

		rangeMin: 6.0
		rangeMax: 30.0
		disableButtonAtMaximum: true
		disableButtonAtMinimum: true
		increment: 0.5
		valueSuffix: "°"

		upIconSource: "drawables/PlusSmall.png"
		downIconSource: "drawables/MinusSmall.png"
	}
}
